[arch-commits] Commit in gegl/repos/extra-x86_64 (4 files)
Jan Steffens
heftig at archlinux.org
Sun May 13 14:43:54 UTC 2018
Date: Sunday, May 13, 2018 @ 14:43:53
Author: heftig
Revision: 324150
archrelease: copy trunk to extra-x86_64
Added:
gegl/repos/extra-x86_64/PKGBUILD
(from rev 324149, gegl/trunk/PKGBUILD)
gegl/repos/extra-x86_64/ffmpeg4.patch
(from rev 324149, gegl/trunk/ffmpeg4.patch)
Deleted:
gegl/repos/extra-x86_64/PKGBUILD
gegl/repos/extra-x86_64/ffmpeg4.patch
---------------+
PKGBUILD | 134 ++++++++++++++++++++++++++++----------------------------
ffmpeg4.patch | 92 +++++++++++++++++++-------------------
2 files changed, 113 insertions(+), 113 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2018-05-13 14:42:43 UTC (rev 324149)
+++ PKGBUILD 2018-05-13 14:43:53 UTC (rev 324150)
@@ -1,67 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-
-pkgname=gegl
-pkgver=0.4.0
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('x86_64')
-url="http://www.gegl.org/"
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
-makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg' 'jasper'
- 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 'gobject-introspection'
- 'git')
-optdepends=('libraw: raw plugin'
- 'openexr: openexr plugin'
- 'ffmpeg: ffmpeg plugin'
- 'suitesparse: matting-levin plugin'
- 'librsvg: svg plugin'
- 'jasper: jasper plugin'
- 'libtiff: tiff plugin'
- 'lua: lua plugin'
- 'lensfun: lens-correct plugin')
-_commit=f6caafacf3d8c176049de5c6680f8065bcfe9af9 # tags/GEGL_0_4_0^0
-source=("git+https://git.gnome.org/browse/gegl#commit=$_commit"
- ffmpeg4.patch)
-sha256sums=('SKIP'
- '0bd90ad266ac11acb11ec6adf538c6d52e28c9f1355450763528b86959a79156')
-
-pkgver() {
- cd $pkgname
- git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
- mkdir path
- ln -s /usr/bin/python2 path/python
-
- cd ${pkgname}
- patch -Np0 -i ../ffmpeg4.patch
- NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
- export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
- cd ${pkgname}
- ./configure --prefix=/usr --with-sdl --with-librsvg \
- --with-libavformat --with-jasper --disable-docs \
- --enable-workshop
-
- # https://bugzilla.gnome.org/show_bug.cgi?id=655517
- sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
- make
-}
-
-check() {
- export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
- cd ${pkgname}
- make -k check || :
-}
-
-package() {
- export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
- cd ${pkgname}
- make DESTDIR="${pkgdir}" install
-}
Copied: gegl/repos/extra-x86_64/PKGBUILD (from rev 324149, gegl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2018-05-13 14:43:53 UTC (rev 324150)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.4.0
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="http://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg' 'jasper'
+ 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 'gobject-introspection'
+ 'git')
+optdepends=('libraw: raw plugin'
+ 'openexr: openexr plugin'
+ 'ffmpeg: ffmpeg plugin'
+ 'suitesparse: matting-levin plugin'
+ 'librsvg: svg plugin'
+ 'jasper: jasper plugin'
+ 'libtiff: tiff plugin'
+ 'lua: lua plugin'
+ 'lensfun: lens-correct plugin')
+_commit=f6caafacf3d8c176049de5c6680f8065bcfe9af9 # tags/GEGL_0_4_0^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit"
+ ffmpeg4.patch)
+sha256sums=('SKIP'
+ '0bd90ad266ac11acb11ec6adf538c6d52e28c9f1355450763528b86959a79156')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+
+ cd ${pkgname}
+ patch -Np0 -i ../ffmpeg4.patch
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+ cd ${pkgname}
+ ./configure --prefix=/usr --with-sdl --with-librsvg \
+ --with-libavformat --with-jasper --disable-docs \
+ --enable-workshop
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+ cd ${pkgname}
+ make -k check || :
+}
+
+package() {
+ export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+ cd ${pkgname}
+ make DESTDIR="${pkgdir}" install
+}
Deleted: ffmpeg4.patch
===================================================================
--- ffmpeg4.patch 2018-05-13 14:42:43 UTC (rev 324149)
+++ ffmpeg4.patch 2018-05-13 14:43:53 UTC (rev 324150)
@@ -1,46 +0,0 @@
---- operations/external/ff-save.c.orig 2017-07-01 17:19:54 UTC
-+++ operations/external/ff-save.c
-@@ -290,7 +290,7 @@ add_audio_stream (GeglProperties *o, AVFormatContext *
- c->codec_type = AVMEDIA_TYPE_AUDIO;
-
- if (oc->oformat->flags & AVFMT_GLOBALHEADER)
-- c->flags |= CODEC_FLAG_GLOBAL_HEADER;
-+ c->flags |= AV_CODEC_FLAG_GLOBAL_HEADER;
-
- return st;
- }
-@@ -631,7 +631,7 @@ add_video_stream (GeglProperties *o, AVFormatContext *
- #endif
-
- if (oc->oformat->flags & AVFMT_GLOBALHEADER)
-- c->flags |= CODEC_FLAG_GLOBAL_HEADER;
-+ c->flags |= AV_CODEC_FLAG_GLOBAL_HEADER;
-
- return st;
- }
-@@ -699,7 +699,9 @@ open_video (GeglProperties *o, AVFormatContext * oc, A
- }
-
- p->video_outbuf = NULL;
-+#ifdef AVFMT_RAWPICTURE
- if (!(oc->oformat->flags & AVFMT_RAWPICTURE))
-+#endif
- {
- /* allocate output buffer, 1 mb / frame, might fail for some codecs on UHD - but works for now */
- p->video_outbuf_size = 1024 * 1024;
-@@ -803,6 +805,7 @@ write_video_frame (GeglProperties *o,
- picture_ptr = p->picture;
- picture_ptr->pts = p->frame_count;
-
-+#ifdef AVFMT_RAWPICTURE
- if (oc->oformat->flags & AVFMT_RAWPICTURE)
- {
- /* raw video case. The API will change slightly in the near
-@@ -821,6 +824,7 @@ write_video_frame (GeglProperties *o,
- ret = av_write_frame (oc, &pkt);
- }
- else
-+#endif
- {
- /* encode the image */
- AVPacket pkt2;
Copied: gegl/repos/extra-x86_64/ffmpeg4.patch (from rev 324149, gegl/trunk/ffmpeg4.patch)
===================================================================
--- ffmpeg4.patch (rev 0)
+++ ffmpeg4.patch 2018-05-13 14:43:53 UTC (rev 324150)
@@ -0,0 +1,46 @@
+--- operations/external/ff-save.c.orig 2017-07-01 17:19:54 UTC
++++ operations/external/ff-save.c
+@@ -290,7 +290,7 @@ add_audio_stream (GeglProperties *o, AVFormatContext *
+ c->codec_type = AVMEDIA_TYPE_AUDIO;
+
+ if (oc->oformat->flags & AVFMT_GLOBALHEADER)
+- c->flags |= CODEC_FLAG_GLOBAL_HEADER;
++ c->flags |= AV_CODEC_FLAG_GLOBAL_HEADER;
+
+ return st;
+ }
+@@ -631,7 +631,7 @@ add_video_stream (GeglProperties *o, AVFormatContext *
+ #endif
+
+ if (oc->oformat->flags & AVFMT_GLOBALHEADER)
+- c->flags |= CODEC_FLAG_GLOBAL_HEADER;
++ c->flags |= AV_CODEC_FLAG_GLOBAL_HEADER;
+
+ return st;
+ }
+@@ -699,7 +699,9 @@ open_video (GeglProperties *o, AVFormatContext * oc, A
+ }
+
+ p->video_outbuf = NULL;
++#ifdef AVFMT_RAWPICTURE
+ if (!(oc->oformat->flags & AVFMT_RAWPICTURE))
++#endif
+ {
+ /* allocate output buffer, 1 mb / frame, might fail for some codecs on UHD - but works for now */
+ p->video_outbuf_size = 1024 * 1024;
+@@ -803,6 +805,7 @@ write_video_frame (GeglProperties *o,
+ picture_ptr = p->picture;
+ picture_ptr->pts = p->frame_count;
+
++#ifdef AVFMT_RAWPICTURE
+ if (oc->oformat->flags & AVFMT_RAWPICTURE)
+ {
+ /* raw video case. The API will change slightly in the near
+@@ -821,6 +824,7 @@ write_video_frame (GeglProperties *o,
+ ret = av_write_frame (oc, &pkt);
+ }
+ else
++#endif
+ {
+ /* encode the image */
+ AVPacket pkt2;
More information about the arch-commits
mailing list